package co.luminositylabs.testing;


import javax.inject.Inject;
import javax.transaction.UserTransaction;
import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.testng.Arquillian;
import org.jboss.shrinkwrap.api.Archive;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.asset.EmptyAsset;
import org.jboss.shrinkwrap.api.spec.JavaArchive;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.testng.Assert;
import org.testng.annotations.Test;


public class DeploymentTest extends Arquillian {

    private static final Logger logger = LoggerFactory.getLogger(DeploymentTest.class);

    @Inject
    UserTransaction userTransaction;


    @Deployment
    public static Archive<?> createDeployment() {
        logger.trace("********** createDeployment() **********");
        JavaArchive jar = ShrinkWrap.create(JavaArchive.class)
                .addAsManifestResource(EmptyAsset.INSTANCE, "beans.xml");
        logger.debug("deployable jar content: {}", jar.toString(true));
        return jar;
    }


    @Test(groups = {"deployment"})
    public void testDeployment() throws Exception {
        logger.trace("********** testDeployment() **********");
        Assert.assertNotNull(userTransaction);
        Assert.fail("This should fail!");
    }


}

